GSCHEMA2YAML(1)

NAME
gschema2yaml - convert gschema.xml files to YAML format

SYNOPSIS
gschema2yaml [-h] -i SCHEMA_ID [-vVERSION] [-pPATH]

DESCRIPTION
This program converts gschema.xml files into YAML format. It requires a schema identifier and allows customization of the output version and destination path.

OPTIONS

-h, --help
    Show this help message and exit

-i SCHEMA_ID, --id SCHEMA_ID
    Specify the gschema.xml ID (e.g., org.ukui.control-center). This parameter is required.

-v VERSION, --version VERSION
    Specify configuration version for the YAML output (default: 2.0.0.0-0k0.0)

-p PATH, --path PATH
    Specify output directory for YAML files (default: ${HOME}/yaml)

ENVIRONMENT

HOME
    Determines the default output directory when --path is not specified

EXAMPLES

Convert schema with default settings:
    gschema2yaml --id org.ukui.example

Custom version and output path:
    gschema2yaml -i org.ukui.demo -v 3.1.0 -p ~/custom_dir

SEE ALSO
gsettings(1), glib-compile-schemas(1)

AUTHOR
Written for the UKUI project.